import request from '@/utils/request'

// 查询H5模块包列表
export function listModule(query) {
  return request({
    url: '/deployment/module/list',
    method: 'get',
    params: query
  })
}

// 查询H5模块包详细
export function getModule(id) {
  return request({
    url: '/deployment/module/' + id,
    method: 'get'
  })
}

// 新增H5模块包
export function addModule(data) {
  return request({
    url: '/deployment/module',
    method: 'post',
    data: data
  })
}

// 修改H5模块包
export function updateModule(data) {
  return request({
    url: '/deployment/module',
    method: 'put',
    data: data
  })
}

// 删除H5模块包
export function delModule(id) {
  return request({
    url: '/deployment/module/' + id,
    method: 'delete'
  })
}
